Package org.alfresco.rest.api.nodes
Class NodeSecondaryChildrenRelation
java.lang.Object
org.alfresco.rest.api.nodes.AbstractNodeRelation
org.alfresco.rest.api.nodes.NodeSecondaryChildrenRelation
- All Implemented Interfaces:
RelationshipResourceAction.Create<AssocChild>,RelationshipResourceAction.Delete,RelationshipResourceAction.Read<Node>,ResourceAction,org.springframework.beans.factory.InitializingBean
@RelationshipResource(name="secondary-children",
entityResource=NodesEntityResource.class,
title="Node Secondary Children")
public class NodeSecondaryChildrenRelation
extends AbstractNodeRelation
implements RelationshipResourceAction.Read<Node>, RelationshipResourceAction.Create<AssocChild>, RelationshipResourceAction.Delete
Node Secondary Children
Manage secondary child associations (sometimes also known as multi-filing)
Please note, if you wish to manage primary child associations then please refer to other endpoints, for example:
- to create primary child, use POST /nodes/{parentId}/children
- to delete node (ie. primary child), use DELETE /nodes/{nodeId}
- to move a node from one primary parent to another, use POST /nodes/{nodeId}/copy
- Author:
- janv
-
Field Summary
Fields inherited from class org.alfresco.rest.api.nodes.AbstractNodeRelation
dictionaryService, EXCLUDED_NS, namespaceService, nodes, nodeService, sr -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate(String parentNodeId, List<AssocChild> entities, Parameters parameters) voiddelete(String parentNodeId, String childNodeId, Parameters parameters) readAll(String parentNodeId, Parameters parameters) List secondary children onlyMethods inherited from class org.alfresco.rest.api.nodes.AbstractNodeRelation
afterPropertiesSet, getAssocTypeFromWhereElseAll, listNodeChildAssocs, listNodePeerAssocs, listPage, setNodes, setServiceRegistry
-
Constructor Details
-
NodeSecondaryChildrenRelation
public NodeSecondaryChildrenRelation()
-
-
Method Details
-
readAll
List secondary children only- Specified by:
readAllin interfaceRelationshipResourceAction.Read<Node>- Parameters:
parentNodeId- String id of parent nodeparameters- - will never be null and will have the PAGING default values
-
create
public List<AssocChild> create(String parentNodeId, List<AssocChild> entities, Parameters parameters) - Specified by:
createin interfaceRelationshipResourceAction.Create<AssocChild>
-
delete
- Specified by:
deletein interfaceRelationshipResourceAction.Delete
-